Update an HTTP monitor.
PUT
/http/job/{job_id}
const url = 'https://api.siteqwality.com/http/job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"check_regions":["example"],"min_healthy_regions":1,"friendly_name":"example","follow_redirects":true,"final_uri":"example","method":"example","keyword_search":"example","keyword_search_inverted":true,"keyword_search_case_sensitive":true,"keyword_search_regex":true,"timeout_ms":1,"uri":"example","request_body":"example","content_type":"json","auth_type":"basic","auth_username":"example","auth_password":"example","auth_bearer_token":"example","success_http_codes":[1],"failure_http_codes":[1],"custom_http_headers":"example","run_interval_seconds":1,"run_interval_thirty_seconds":true,"group_notification_ids":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"monitor_tls":true,"monitor_dns":true,"monitor_page_speed":true,"state":"active","tags":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/http/job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "check_regions": [ "example" ], "min_healthy_regions": 1, "friendly_name": "example", "follow_redirects": true, "final_uri": "example", "method": "example", "keyword_search": "example", "keyword_search_inverted": true, "keyword_search_case_sensitive": true, "keyword_search_regex": true, "timeout_ms": 1, "uri": "example", "request_body": "example", "content_type": "json", "auth_type": "basic", "auth_username": "example", "auth_password": "example", "auth_bearer_token": "example", "success_http_codes": [ 1 ], "failure_http_codes": [ 1 ], "custom_http_headers": "example", "run_interval_seconds": 1, "run_interval_thirty_seconds": true, "group_notification_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "monitor_tls": true, "monitor_dns": true, "monitor_page_speed": true, "state": "active", "tags": [ "example" ] }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” job_id
required
string format: uuid
HTTP monitor identifier
Request Body required
Section titled “Request Body required ” Media type application/json
object
check_regions
array | null
min_healthy_regions
integer | null format: int32
friendly_name
string | null
follow_redirects
boolean | null
final_uri
string | null
method
string | null
keyword_search
string | null
keyword_search_inverted
boolean | null
keyword_search_case_sensitive
boolean | null
keyword_search_regex
boolean | null
timeout_ms
integer | null format: int32
uri
string | null
request_body
string | null
auth_username
string | null
auth_password
string | null
auth_bearer_token
string | null
success_http_codes
array | null
failure_http_codes
array | null
custom_http_headers
object | null
run_interval_seconds
integer | null format: int32
run_interval_thirty_seconds
boolean | null
group_notification_ids
array | null
monitor_tls
boolean | null
monitor_dns
boolean | null
monitor_page_speed
boolean | null
tags
array | null
Responses
Section titled “ Responses ”HTTP monitor updated
Invalid request body
Missing or invalid authentication
Feature requires a paid plan
HTTP monitor not found
Internal server error